Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 25 May 2021 12:00:14 +0100
From:      Steve O'Hara-Smith <steve@sohara.org>
To:        Roman Serbski <mefystofel@gmail.com>
Cc:        freebsd-questions@freebsd.org
Subject:   Re: Upgrade from 12.2-RELEASE-p2 to 13.0-RELEASE
Message-ID:  <20210525120014.405004c66998c990dc224912@sohara.org>
In-Reply-To: <CAFnNK68UeXXP-+sSz=XB+sBv7d5QtSyFw=x-oqbPrOZHmysZrg@mail.gmail.com>
References:  <CAFnNK694kLsTAgps7KafLzN=KAR8nVR8fFwhLnHFW6n7C+CXOA@mail.gmail.com> <20210525072428.032c3e4c716287c430a6bbfd@sohara.org> <CAFnNK68UeXXP-+sSz=XB+sBv7d5QtSyFw=x-oqbPrOZHmysZrg@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Tue, 25 May 2021 11:21:31 +0200
Roman Serbski <mefystofel@gmail.com> wrote:

> On Tue, May 25, 2021 at 8:24 AM Steve O'Hara-Smith <steve@sohara.org>
> wrote:
> >
> >         That's the version used in 12.2 can someone with 13.0 use ldd to
> > find out what version of libgnuregex is used by grep in 13.0.
> >
> > > # find / -name libgnuregex.so.5 -print
> > > /usr/lib32/libgnuregex.so.5
> >
> >         That's the 32 bit compatibility version the one grep is looking
> > for lives in /usr/lib.
> >
> >         You seem to be running 12.2 grep - I don't know why.
> 
> I'm not sure I'm running 12.2 grep.

	The error message you quoted shows that 12.2 grep was being used
during the kernel build. Your ldd output confirms that 13.0 grep is not
linked to libgnuregex.so.5 and so would not have produced that error
message.

	Next problem - figure out why the kernel build was using an old
grep and how.

-- 
Steve O'Hara-Smith <steve@sohara.org>



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20210525120014.405004c66998c990dc224912>